orchestra is incompatible with squid3

Bug #892330 reported by Adam Gandelman on 2011-11-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
orchestra (Ubuntu)
Undecided
Unassigned

Bug Description

The postinst of the provisoining server is looking for binaries and config at locations only compat. with squid(v2) It is also placing config in the obslete /etc/squid/ directory when it should be using /etc/squid3.

The squid.conf that currently ships with orchestra is not compatible with squid3. Some directives are deprecated, others are simply not supported. With the post inst fixed, this causes the initial 'squid3 -z' run to fail:

root@domU-12-31-38-07-18-06:~# squid3 -z -f /etc/squid/squid.conf
2011/11/18 20:26:52| WARNING: (B) '::/0' is a subnetwork of (A) '::/0'
2011/11/18 20:26:52| WARNING: because of this '::/0' is ignored to keep splay tree searching predictable
2011/11/18 20:26:52| WARNING: You should probably remove '::/0' from the ACL named 'all'
2011/11/18 20:26:52| ERROR: Directive 'upgrade_http0.9' is obsolete.
2011/11/18 20:26:52| cache_cf.cc(381) parseOneConfigFile: squid.conf:54 unrecognized: 'broken_vary_encoding'
2011/11/18 20:26:52| ERROR: Directive 'extension_methods' is obsolete.
root@domU-12-31-38-07-18-06:~#

Changed in orchestra (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package orchestra - 2.23-0ubuntu1

---------------
orchestra (2.23-0ubuntu1) precise; urgency=low

  [ Andres Rodriguez ]
  * Install preseeds in var/lib/cobbler/kickstarts to make them editable
    in cobbler's webui. Do not create symlinks. (LP: #882943)
  * orchestra-import-isos: Change KSDIR default to /var/lib/cobbler/kickstarts
    instead of /var/lib/orchestra/kickstarts.
  * orchestra/utils/keys.py: Return "true" for preseed not to fail if keys
    are not found or empty. (LP: #891915)
  * debconf question to select whether to run orchestra-import-isos on
    installation. (LP: #892328)

  [ Dustin Kirkland ]
  * debian/control:
    - recommend ccze for log monitoring, it's awesome!
    - package arrangement per UDS-Orlando live session

  [ Adam Gandelman ]
  * Update references to squid directories and config files to point to
    squid3 equivalent
  * squid.conf: Update for squid3 compat. Removed: 'acl all src all' (now
    built-into squid3), broken_vary_encoding (not supported in squid3),
    upgrade_http0.9 + extension_methods (deprecated, no longer necessary)
  * debian/ubuntu-orchestra-provisioning-server.postinst: Backup original
    squid.conf if it exists. Stop squid3 before populating directory structure
    as it won't happen if squid3 is already running, later restart will fail.
    (LP: #892330)
 -- Andres Rodriguez <email address hidden> Fri, 18 Nov 2011 16:25:01 -0500

Changed in orchestra (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers